var app_jpush = {
    initialize: function() {
        this.bindEvents();
    },
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    onDeviceReady: function() {
    	if (!window.plugins || !window.plugins.jPushPlugin) return;

        //this.receivedEvent('deviceready');
		//推送插件初始化
		window.plugins.jPushPlugin.init();
		window.plugins.jPushPlugin.setDebugMode(true);
		//自定义通知栏目
		window.plugins.jPushPlugin.setCustomPushNotificationBuilder();
		//获取注册ID
		window.plugins.jPushPlugin.getRegistrationID(function(id){
			//alert(id);
		}); 
	
    },
    registerAlia:function(phone){
    	if (!window.plugins || !window.plugins.jPushPlugin) return;
    	window.plugins.jPushPlugin.setAlias(phone);
    },
    receivedEvent: function(id) {
        var parentElement = document.getElementById(id);
        if (!parentElement) return;
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');
        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');

        console.log('Received Event: ' + id);
    }
};

app_jpush.initialize();